import { getModule, Module, MutationAction, VuexModule } from 'vuex-module-decorators';
import store from '@/store';
import http from '@/utils/request';
 import { url } from '@/utils/url';
// import { session } from '@/store/modules/session';
@Module({
  namespaced: true,
  dynamic: true,
  store,
  name: 'page.login',
})
export class login extends VuexModule {
  checkversion: any = {};
  @MutationAction
  async checkupdate() {
    const result: any = await http.post(url.wmspda.system.getLastApkVersion, {
      factory: 1000,
    });
    const checkversion: any = result.data;
    return { checkversion };
  }
}

export default getModule(login);
